<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPFinancialData</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_financial_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pub-static-methods">Statyczne metody publiczne</a> &#124;
<a href="#pub-attribs">Atrybuty publiczne</a> &#124;
<a href="class_q_c_p_financial_data-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPFinancialData</div></div>
</div><!--header-->
<div class="contents">

<p>Holds the data of one single data point for <a class="el" href="class_q_c_p_financial.html" title="A plottable representing a financial stock chart.">QCPFinancial</a>.  
 <a href="class_q_c_p_financial_data.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a1ca53b3a9ae4e9658a4fd1ca57d76ba4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#a1ca53b3a9ae4e9658a4fd1ca57d76ba4">QCPFinancialData</a> ()</td></tr>
<tr class="separator:a1ca53b3a9ae4e9658a4fd1ca57d76ba4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a069b72c514dfd4fc8e1d5df811e54ca4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#a069b72c514dfd4fc8e1d5df811e54ca4">QCPFinancialData</a> (double <a class="el" href="class_q_c_p_financial_data.html#a18bc92126f28c214b05b0161e5f5958b">key</a>, double <a class="el" href="class_q_c_p_financial_data.html#a3059e1e1fbcb9fd243fde0450f238032">open</a>, double <a class="el" href="class_q_c_p_financial_data.html#a299a4b241296fb6cd1baf5ab03f7126a">high</a>, double <a class="el" href="class_q_c_p_financial_data.html#aecce0fb45a115e3f3a25eea78491ac16">low</a>, double <a class="el" href="class_q_c_p_financial_data.html#a45e9b96944c4a08ea6c82a72d3d22df2">close</a>)</td></tr>
<tr class="separator:a069b72c514dfd4fc8e1d5df811e54ca4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab378e8ef6aef482735aba69115cb442e"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#ab378e8ef6aef482735aba69115cb442e">sortKey</a> () const</td></tr>
<tr class="separator:ab378e8ef6aef482735aba69115cb442e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6ed6349c65d938fabd2e4dd2cd499ff"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#af6ed6349c65d938fabd2e4dd2cd499ff">mainKey</a> () const</td></tr>
<tr class="separator:af6ed6349c65d938fabd2e4dd2cd499ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65206c76b6f31a57e04dc7da88c9be60"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#a65206c76b6f31a57e04dc7da88c9be60">mainValue</a> () const</td></tr>
<tr class="separator:a65206c76b6f31a57e04dc7da88c9be60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a164d5584eeeb9ba48b4b595ac2ac7fcf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_range.html">QCPRange</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#a164d5584eeeb9ba48b4b595ac2ac7fcf">valueRange</a> () const</td></tr>
<tr class="separator:a164d5584eeeb9ba48b4b595ac2ac7fcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Statyczne metody publiczne</h2></td></tr>
<tr class="memitem:a54a0ca7ee7fd7713972477e8e2533ce5"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_q_c_p_financial_data.html">QCPFinancialData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#a54a0ca7ee7fd7713972477e8e2533ce5">fromSortKey</a> (double <a class="el" href="class_q_c_p_financial_data.html#ab378e8ef6aef482735aba69115cb442e">sortKey</a>)</td></tr>
<tr class="separator:a54a0ca7ee7fd7713972477e8e2533ce5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1121db9420a7694144f6a99b09257a5f"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#a1121db9420a7694144f6a99b09257a5f">sortKeyIsMainKey</a> ()</td></tr>
<tr class="separator:a1121db9420a7694144f6a99b09257a5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Atrybuty publiczne</h2></td></tr>
<tr class="memitem:a18bc92126f28c214b05b0161e5f5958b"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#a18bc92126f28c214b05b0161e5f5958b">key</a></td></tr>
<tr class="separator:a18bc92126f28c214b05b0161e5f5958b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3059e1e1fbcb9fd243fde0450f238032"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#a3059e1e1fbcb9fd243fde0450f238032">open</a></td></tr>
<tr class="separator:a3059e1e1fbcb9fd243fde0450f238032"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a299a4b241296fb6cd1baf5ab03f7126a"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#a299a4b241296fb6cd1baf5ab03f7126a">high</a></td></tr>
<tr class="separator:a299a4b241296fb6cd1baf5ab03f7126a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecce0fb45a115e3f3a25eea78491ac16"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#aecce0fb45a115e3f3a25eea78491ac16">low</a></td></tr>
<tr class="separator:aecce0fb45a115e3f3a25eea78491ac16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45e9b96944c4a08ea6c82a72d3d22df2"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_financial_data.html#a45e9b96944c4a08ea6c82a72d3d22df2">close</a></td></tr>
<tr class="separator:a45e9b96944c4a08ea6c82a72d3d22df2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>The stored data is: </p><ul>
<li><em>key:</em> coordinate on the key axis of this data point (this is the <em>mainKey</em> and the <em>sortKey</em>) </li>
<li><em>open:</em> The opening value at the data point (this is the <em>mainValue</em>) </li>
<li><em>high:</em> The high/maximum value at the data point </li>
<li><em>low:</em> The low/minimum value at the data point </li>
<li><em>close:</em> The closing value at the data point</li>
</ul>
<p>The container for storing multiple data points is <a class="el" href="qcustomplot_8hpp.html#ae36e482e04f19a54782f01ab38c354a6">QCPFinancialDataContainer</a>. It is a typedef for <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a> with <a class="el" href="class_q_c_p_financial_data.html">QCPFinancialData</a> as the DataType template parameter. See the documentation there for an explanation regarding the data type's generic methods.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="qcustomplot_8hpp.html#ae36e482e04f19a54782f01ab38c354a6">QCPFinancialDataContainer</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06158">6158</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a1ca53b3a9ae4e9658a4fd1ca57d76ba4" name="a1ca53b3a9ae4e9658a4fd1ca57d76ba4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ca53b3a9ae4e9658a4fd1ca57d76ba4">&#9670;&#160;</a></span>QCPFinancialData() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPFinancialData::QCPFinancialData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs a data point with key and all values set to zero. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l27002">27002</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a069b72c514dfd4fc8e1d5df811e54ca4" name="a069b72c514dfd4fc8e1d5df811e54ca4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a069b72c514dfd4fc8e1d5df811e54ca4">&#9670;&#160;</a></span>QCPFinancialData() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPFinancialData::QCPFinancialData </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>open</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>high</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>low</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>close</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs a data point with the specified <em>key</em> and OHLC values. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l27014">27014</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="ab378e8ef6aef482735aba69115cb442e" name="ab378e8ef6aef482735aba69115cb442e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab378e8ef6aef482735aba69115cb442e">&#9670;&#160;</a></span>sortKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPFinancialData::sortKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>key</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06164">6164</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a54a0ca7ee7fd7713972477e8e2533ce5" name="a54a0ca7ee7fd7713972477e8e2533ce5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54a0ca7ee7fd7713972477e8e2533ce5">&#9670;&#160;</a></span>fromSortKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="class_q_c_p_financial_data.html">QCPFinancialData</a> QCPFinancialData::fromSortKey </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>sortKey</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a data point with the specified <em>sortKey</em>. All other members are set to zero.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06165">6165</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a1121db9420a7694144f6a99b09257a5f" name="a1121db9420a7694144f6a99b09257a5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1121db9420a7694144f6a99b09257a5f">&#9670;&#160;</a></span>sortKeyIsMainKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static static bool QCPFinancialData::sortKeyIsMainKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Since the member <em>key</em> is both the data point key coordinate and the data ordering parameter, this method returns true.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06166">6166</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="af6ed6349c65d938fabd2e4dd2cd499ff" name="af6ed6349c65d938fabd2e4dd2cd499ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6ed6349c65d938fabd2e4dd2cd499ff">&#9670;&#160;</a></span>mainKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPFinancialData::mainKey </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>key</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06168">6168</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a65206c76b6f31a57e04dc7da88c9be60" name="a65206c76b6f31a57e04dc7da88c9be60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65206c76b6f31a57e04dc7da88c9be60">&#9670;&#160;</a></span>mainValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPFinancialData::mainValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns the <em>open</em> member of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06169">6169</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a164d5584eeeb9ba48b4b595ac2ac7fcf" name="a164d5584eeeb9ba48b4b595ac2ac7fcf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a164d5584eeeb9ba48b4b595ac2ac7fcf">&#9670;&#160;</a></span>valueRange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_range.html">QCPRange</a> QCPFinancialData::valueRange </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a <a class="el" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing.">QCPRange</a> spanning from the <em>low</em> to the <em>high</em> value of this data point.</p>
<p>For a general explanation of what this method is good for in the context of the data container, see the documentation of <a class="el" href="class_q_c_p_data_container.html">QCPDataContainer</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06171">6171</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a18bc92126f28c214b05b0161e5f5958b" name="a18bc92126f28c214b05b0161e5f5958b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18bc92126f28c214b05b0161e5f5958b">&#9670;&#160;</a></span>key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPFinancialData::key</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06173">6173</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a3059e1e1fbcb9fd243fde0450f238032" name="a3059e1e1fbcb9fd243fde0450f238032"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3059e1e1fbcb9fd243fde0450f238032">&#9670;&#160;</a></span>open</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPFinancialData::open</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06173">6173</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a299a4b241296fb6cd1baf5ab03f7126a" name="a299a4b241296fb6cd1baf5ab03f7126a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a299a4b241296fb6cd1baf5ab03f7126a">&#9670;&#160;</a></span>high</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPFinancialData::high</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06173">6173</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aecce0fb45a115e3f3a25eea78491ac16" name="aecce0fb45a115e3f3a25eea78491ac16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecce0fb45a115e3f3a25eea78491ac16">&#9670;&#160;</a></span>low</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPFinancialData::low</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06173">6173</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a45e9b96944c4a08ea6c82a72d3d22df2" name="a45e9b96944c4a08ea6c82a72d3d22df2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45e9b96944c4a08ea6c82a72d3d22df2">&#9670;&#160;</a></span>close</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPFinancialData::close</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06173">6173</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_financial_data.html">QCPFinancialData</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
